如果不配置会报错:

VSCode中调试flutter出现Downloading canvaskit错误

首先打开flutter SDK 的安装目录,找到flutter.​​gradle​​文件

flutter项目配置国内镜像_maven

搜索 buildscript 找到代码位置,大概是50行左右

把原有的google()和mavenCentral()注释掉,添加国内的源地址。

一开始我只指定了google的源,不太好使,有添加了阿里的源,如果可选择的地址,可以多添加几个作为备用

buildscript {
repositories {
//google()
//mavenCentral()
maven { url ‘https://maven.aliyun.com/repository/google’}
maven { url ‘https://maven.aliyun.com/repository/jcenter’ }
maven { url ‘https://maven.aliyun.com/nexus/content/groups/public’}
maven { url ‘https://dl.google.com/dl/android/maven2/’}
}

然后在系统环境变量中增加

FLUTTER_STORAGE_BASE_URL — https://storage.flutter-io.cn

flutter项目配置国内镜像_maven_02

PUB_HOSTED_URL — https://pub.flutter-io.cn

flutter项目配置国内镜像_flutter_03

最后重启​​VSCode​​